/*
 * Copyright 2013 C&D Elettronica. All rights reserved.
 *
 * This file is part of the FlashMat project.
 */

#ifndef GRADIENT_H_
#define GRADIENT_H_

namespace FlashMat {

enum Gradient { // the starting point of the gradient (for the first color; the second color is on the opposite point)
    GRAD_WEST        =   1,
    GRAD_NORTH_WEST  =   2,
    GRAD_NORTH       =   3,
    GRAD_NORTH_EAST  =   4,
    GRAD_EAST        = (uint8_t) (255-1), //~GRAD_WEST
    GRAD_SOUTH_EAST  = (uint8_t) (255-2), //~GRAD_NORTH_WEST
    GRAD_SOUTH       = (uint8_t) (255-3), //~GRAD_NORTH
    GRAD_SOUTH_WEST  = (uint8_t) (255-4), //~GRAD_NORTH_EAST
    GRAD_DIAMOND     =  10,
    GRAD_SQUARE      =  11,
    GRAD_CIRCLE      =  12,
    GRAD_DIAMOND_REV = (uint8_t) (255-10), //~GRAD_DIAMOND
    GRAD_SQUARE_REV  = (uint8_t) (255-11), //~GRAD_SQUARE
    GRAD_CIRCLE_REV  = (uint8_t) (255-12)  //~GRAD_CIRCLE
};

} // namespace

#endif /* GRADIENT_H_ */