/*
 * Copyright 2013 C&D Elettronica. All rights reserved.
 *
 * This file is part of the FlashMat project.
 */

#ifndef FMAT_COMMON_H_
#define FMAT_COMMON_H_

/*
 * To include all headers of FlashMat common
 */

#include "bitWrite.h"
#include "CellStatus.h"
#include "fmatdef.h"
#include "Font.h"
#include "Fonts.h"
#include "Gradient.h"
#include "I2C.h"
#include "ImgChunker.h"
#include "ImgDepthConverter.h"
#include "Packets.h"
#include "PacketStatus.h"
#include "pair.h"
#include "Point.h"
#include "safe_string.h"
#include "serializer.h"
#include "serialParse.h"
#include "Text.h"
#include "time_utils.h"
#include "utils.h"

#include "Commander.h"


#endif /* FMAT_COMMON_H_ */